package com.sinosig.mybatis.module.po;

import com.sinosig.core.repository.po.CID;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
/**
 * 关系型数据实体表[CID] 对象
 */
@TableName(value = "T_CID",resultMap = "T_CIDResultMap")
public class T_CIDImpl implements CID,Serializable {

    private Timestamp Syxde;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SyxdeDirtyFlag;

    private String Abl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean AblDirtyFlag;

    private String Fdjh;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean FdjhDirtyFlag;

    private String CIDData;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CIDDataDirtyFlag;

    private String Hpds;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HpdsDirtyFlag;

    private BigDecimal Ccs_jqx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean Ccs_jqxDirtyFlag;

    private Integer Syx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SyxDirtyFlag;

    private Double Hdzzl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HdzzlDirtyFlag;

    private Timestamp UpdateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateDateDirtyFlag;

    private Double Gl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean GlDirtyFlag;

    private String CIDName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CIDNameDirtyFlag;

    private String Qdlx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean QdlxDirtyFlag;

    private Timestamp Syxdb;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SyxdbDirtyFlag;

    private Timestamp CreateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateDateDirtyFlag;

    private String Dycpxh;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean DycpxhDirtyFlag;

    private String Cldl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CldlDirtyFlag;

    private Integer Jqx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean JqxDirtyFlag;

    private BigDecimal Jqxdqfl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean JqxdqflDirtyFlag;

    private BigDecimal Hsbf_syx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean Hsbf_syxDirtyFlag;

    private String Syxdqfs;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SyxdqfsDirtyFlag;

    private Integer Hdzk;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HdzkDirtyFlag;

    private String Syxz;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SyxzDirtyFlag;

    private String CreateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateManDirtyFlag;

    private String Cllxms;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CllxmsDirtyFlag;

    private BigDecimal Xcgzj;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean XcgzjDirtyFlag;

    private BigDecimal Bhsbf_syx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean Bhsbf_syxDirtyFlag;

    private Timestamp Jqxdb;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean JqxdbDirtyFlag;

    private BigDecimal Clsjjz;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ClsjjzDirtyFlag;

    private BigDecimal Se_syx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean Se_syxDirtyFlag;

    private BigDecimal Hj;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HjDirtyFlag;

    private String Ywly;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean YwlyDirtyFlag;

    private String Hpzl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HpzlDirtyFlag;

    private String Jqxdqfs;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean JqxdqfsDirtyFlag;

    private String Clzl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ClzlDirtyFlag;

    private BigDecimal Syxdqfl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SyxdqflDirtyFlag;

    private String Cjh;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CjhDirtyFlag;

    private String Cphm;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CphmDirtyFlag;

    private Double Pl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean PlDirtyFlag;

    private BigDecimal Hsbf_jqx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean Hsbf_jqxDirtyFlag;

    private Timestamp Jqxde;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean JqxdeDirtyFlag;

    /**
     * 车险单标识
     */        
    @TableId(value= "cidid",type=IdType.UUID)//指定主键生成策略
    private String CIDId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CIDIdDirtyFlag;

    private BigDecimal Bhsbf_jqx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean Bhsbf_jqxDirtyFlag;

    private String UpdateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateManDirtyFlag;

    private Timestamp Cdrq;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CdrqDirtyFlag;

    private Double Zbzl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ZbzlDirtyFlag;

    private BigDecimal Se_jqx;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean Se_jqxDirtyFlag;

    private String CPXHName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CPXHNameDirtyFlag;

    private String ORGUSERName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ORGUSERNameDirtyFlag;

    private String ORGName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ORGNameDirtyFlag;

    private String ORGUSERId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ORGUSERIdDirtyFlag;

    private String CPXHId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CPXHIdDirtyFlag;

    private String ORGId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ORGIdDirtyFlag;

    /**
     * 获取 [商业险失效时间]
     */
    public Timestamp getSyxde(){
        return Syxde ;
    }

    /**
     * 设置 [商业险失效时间]
     */
    public void setSyxde(Timestamp  syxde){
        this.Syxde = syxde ;
        this.SyxdeDirtyFlag = true ;
    }
    /**
     * 获取 [商业险失效时间]脏标记
     */
    @JsonIgnore
    public boolean getSyxdeDirtyFlag(){
        return SyxdeDirtyFlag ;
    }

    /**
     * 获取 [A/B类]
     */
    public String getAbl(){
        return Abl ;
    }

    /**
     * 设置 [A/B类]
     */
    public void setAbl(String  abl){
        this.Abl = abl ;
        this.AblDirtyFlag = true ;
    }
    /**
     * 获取 [A/B类]脏标记
     */
    @JsonIgnore
    public boolean getAblDirtyFlag(){
        return AblDirtyFlag ;
    }

    /**
     * 获取 [发动机号]
     */
    public String getFdjh(){
        return Fdjh ;
    }

    /**
     * 设置 [发动机号]
     */
    public void setFdjh(String  fdjh){
        this.Fdjh = fdjh ;
        this.FdjhDirtyFlag = true ;
    }
    /**
     * 获取 [发动机号]脏标记
     */
    @JsonIgnore
    public boolean getFdjhDirtyFlag(){
        return FdjhDirtyFlag ;
    }

    /**
     * 获取 [CIDData]
     */
    public String getCIDData(){
        return CIDData ;
    }

    /**
     * 设置 [CIDData]
     */
    public void setCIDData(String  cIDData){
        this.CIDData = cIDData ;
        this.CIDDataDirtyFlag = true ;
    }
    /**
     * 获取 [CIDData]脏标记
     */
    @JsonIgnore
    public boolean getCIDDataDirtyFlag(){
        return CIDDataDirtyFlag ;
    }

    /**
     * 获取 [号牌底色]
     */
    public String getHpds(){
        return Hpds ;
    }

    /**
     * 设置 [号牌底色]
     */
    public void setHpds(String  hpds){
        this.Hpds = hpds ;
        this.HpdsDirtyFlag = true ;
    }
    /**
     * 获取 [号牌底色]脏标记
     */
    @JsonIgnore
    public boolean getHpdsDirtyFlag(){
        return HpdsDirtyFlag ;
    }

    /**
     * 获取 [车船税-交强险]
     */
    public BigDecimal getCcs_jqx(){
        return Ccs_jqx ;
    }

    /**
     * 设置 [车船税-交强险]
     */
    public void setCcs_jqx(BigDecimal  ccs_jqx){
        this.Ccs_jqx = ccs_jqx ;
        this.Ccs_jqxDirtyFlag = true ;
    }
    /**
     * 获取 [车船税-交强险]脏标记
     */
    @JsonIgnore
    public boolean getCcs_jqxDirtyFlag(){
        return Ccs_jqxDirtyFlag ;
    }

    /**
     * 获取 [商业险]
     */
    public Integer getSyx(){
        return Syx ;
    }

    /**
     * 设置 [商业险]
     */
    public void setSyx(Integer  syx){
        this.Syx = syx ;
        this.SyxDirtyFlag = true ;
    }
    /**
     * 获取 [商业险]脏标记
     */
    @JsonIgnore
    public boolean getSyxDirtyFlag(){
        return SyxDirtyFlag ;
    }

    /**
     * 获取 [核定载质量]
     */
    public Double getHdzzl(){
        return Hdzzl ;
    }

    /**
     * 设置 [核定载质量]
     */
    public void setHdzzl(Double  hdzzl){
        this.Hdzzl = hdzzl ;
        this.HdzzlDirtyFlag = true ;
    }
    /**
     * 获取 [核定载质量]脏标记
     */
    @JsonIgnore
    public boolean getHdzzlDirtyFlag(){
        return HdzzlDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }
    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [功率]
     */
    public Double getGl(){
        return Gl ;
    }

    /**
     * 设置 [功率]
     */
    public void setGl(Double  gl){
        this.Gl = gl ;
        this.GlDirtyFlag = true ;
    }
    /**
     * 获取 [功率]脏标记
     */
    @JsonIgnore
    public boolean getGlDirtyFlag(){
        return GlDirtyFlag ;
    }

    /**
     * 获取 [车险单名称]
     */
    public String getCIDName(){
        return CIDName ;
    }

    /**
     * 设置 [车险单名称]
     */
    public void setCIDName(String  cIDName){
        this.CIDName = cIDName ;
        this.CIDNameDirtyFlag = true ;
    }
    /**
     * 获取 [车险单名称]脏标记
     */
    @JsonIgnore
    public boolean getCIDNameDirtyFlag(){
        return CIDNameDirtyFlag ;
    }

    /**
     * 获取 [渠道类型]
     */
    public String getQdlx(){
        return Qdlx ;
    }

    /**
     * 设置 [渠道类型]
     */
    public void setQdlx(String  qdlx){
        this.Qdlx = qdlx ;
        this.QdlxDirtyFlag = true ;
    }
    /**
     * 获取 [渠道类型]脏标记
     */
    @JsonIgnore
    public boolean getQdlxDirtyFlag(){
        return QdlxDirtyFlag ;
    }

    /**
     * 获取 [商业险生效时间]
     */
    public Timestamp getSyxdb(){
        return Syxdb ;
    }

    /**
     * 设置 [商业险生效时间]
     */
    public void setSyxdb(Timestamp  syxdb){
        this.Syxdb = syxdb ;
        this.SyxdbDirtyFlag = true ;
    }
    /**
     * 获取 [商业险生效时间]脏标记
     */
    @JsonIgnore
    public boolean getSyxdbDirtyFlag(){
        return SyxdbDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }
    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }

    /**
     * 获取 [打印厂牌型号]
     */
    public String getDycpxh(){
        return Dycpxh ;
    }

    /**
     * 设置 [打印厂牌型号]
     */
    public void setDycpxh(String  dycpxh){
        this.Dycpxh = dycpxh ;
        this.DycpxhDirtyFlag = true ;
    }
    /**
     * 获取 [打印厂牌型号]脏标记
     */
    @JsonIgnore
    public boolean getDycpxhDirtyFlag(){
        return DycpxhDirtyFlag ;
    }

    /**
     * 获取 [车辆大类]
     */
    public String getCldl(){
        return Cldl ;
    }

    /**
     * 设置 [车辆大类]
     */
    public void setCldl(String  cldl){
        this.Cldl = cldl ;
        this.CldlDirtyFlag = true ;
    }
    /**
     * 获取 [车辆大类]脏标记
     */
    @JsonIgnore
    public boolean getCldlDirtyFlag(){
        return CldlDirtyFlag ;
    }

    /**
     * 获取 [交强险]
     */
    public Integer getJqx(){
        return Jqx ;
    }

    /**
     * 设置 [交强险]
     */
    public void setJqx(Integer  jqx){
        this.Jqx = jqx ;
        this.JqxDirtyFlag = true ;
    }
    /**
     * 获取 [交强险]脏标记
     */
    @JsonIgnore
    public boolean getJqxDirtyFlag(){
        return JqxDirtyFlag ;
    }

    /**
     * 获取 [交强险短期费率]
     */
    public BigDecimal getJqxdqfl(){
        return Jqxdqfl ;
    }

    /**
     * 设置 [交强险短期费率]
     */
    public void setJqxdqfl(BigDecimal  jqxdqfl){
        this.Jqxdqfl = jqxdqfl ;
        this.JqxdqflDirtyFlag = true ;
    }
    /**
     * 获取 [交强险短期费率]脏标记
     */
    @JsonIgnore
    public boolean getJqxdqflDirtyFlag(){
        return JqxdqflDirtyFlag ;
    }

    /**
     * 获取 [含税保费-商业险]
     */
    public BigDecimal getHsbf_syx(){
        return Hsbf_syx ;
    }

    /**
     * 设置 [含税保费-商业险]
     */
    public void setHsbf_syx(BigDecimal  hsbf_syx){
        this.Hsbf_syx = hsbf_syx ;
        this.Hsbf_syxDirtyFlag = true ;
    }
    /**
     * 获取 [含税保费-商业险]脏标记
     */
    @JsonIgnore
    public boolean getHsbf_syxDirtyFlag(){
        return Hsbf_syxDirtyFlag ;
    }

    /**
     * 获取 [商业险短期方式]
     */
    public String getSyxdqfs(){
        return Syxdqfs ;
    }

    /**
     * 设置 [商业险短期方式]
     */
    public void setSyxdqfs(String  syxdqfs){
        this.Syxdqfs = syxdqfs ;
        this.SyxdqfsDirtyFlag = true ;
    }
    /**
     * 获取 [商业险短期方式]脏标记
     */
    @JsonIgnore
    public boolean getSyxdqfsDirtyFlag(){
        return SyxdqfsDirtyFlag ;
    }

    /**
     * 获取 [核定载客]
     */
    public Integer getHdzk(){
        return Hdzk ;
    }

    /**
     * 设置 [核定载客]
     */
    public void setHdzk(Integer  hdzk){
        this.Hdzk = hdzk ;
        this.HdzkDirtyFlag = true ;
    }
    /**
     * 获取 [核定载客]脏标记
     */
    @JsonIgnore
    public boolean getHdzkDirtyFlag(){
        return HdzkDirtyFlag ;
    }

    /**
     * 获取 [使用性质]
     */
    public String getSyxz(){
        return Syxz ;
    }

    /**
     * 设置 [使用性质]
     */
    public void setSyxz(String  syxz){
        this.Syxz = syxz ;
        this.SyxzDirtyFlag = true ;
    }
    /**
     * 获取 [使用性质]脏标记
     */
    @JsonIgnore
    public boolean getSyxzDirtyFlag(){
        return SyxzDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }
    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }

    /**
     * 获取 [车辆类型描述]
     */
    public String getCllxms(){
        return Cllxms ;
    }

    /**
     * 设置 [车辆类型描述]
     */
    public void setCllxms(String  cllxms){
        this.Cllxms = cllxms ;
        this.CllxmsDirtyFlag = true ;
    }
    /**
     * 获取 [车辆类型描述]脏标记
     */
    @JsonIgnore
    public boolean getCllxmsDirtyFlag(){
        return CllxmsDirtyFlag ;
    }

    /**
     * 获取 [新车购置价]
     */
    public BigDecimal getXcgzj(){
        return Xcgzj ;
    }

    /**
     * 设置 [新车购置价]
     */
    public void setXcgzj(BigDecimal  xcgzj){
        this.Xcgzj = xcgzj ;
        this.XcgzjDirtyFlag = true ;
    }
    /**
     * 获取 [新车购置价]脏标记
     */
    @JsonIgnore
    public boolean getXcgzjDirtyFlag(){
        return XcgzjDirtyFlag ;
    }

    /**
     * 获取 [不含税保费-商业险]
     */
    public BigDecimal getBhsbf_syx(){
        return Bhsbf_syx ;
    }

    /**
     * 设置 [不含税保费-商业险]
     */
    public void setBhsbf_syx(BigDecimal  bhsbf_syx){
        this.Bhsbf_syx = bhsbf_syx ;
        this.Bhsbf_syxDirtyFlag = true ;
    }
    /**
     * 获取 [不含税保费-商业险]脏标记
     */
    @JsonIgnore
    public boolean getBhsbf_syxDirtyFlag(){
        return Bhsbf_syxDirtyFlag ;
    }

    /**
     * 获取 [交强险生效时间]
     */
    public Timestamp getJqxdb(){
        return Jqxdb ;
    }

    /**
     * 设置 [交强险生效时间]
     */
    public void setJqxdb(Timestamp  jqxdb){
        this.Jqxdb = jqxdb ;
        this.JqxdbDirtyFlag = true ;
    }
    /**
     * 获取 [交强险生效时间]脏标记
     */
    @JsonIgnore
    public boolean getJqxdbDirtyFlag(){
        return JqxdbDirtyFlag ;
    }

    /**
     * 获取 [车辆实际价值]
     */
    public BigDecimal getClsjjz(){
        return Clsjjz ;
    }

    /**
     * 设置 [车辆实际价值]
     */
    public void setClsjjz(BigDecimal  clsjjz){
        this.Clsjjz = clsjjz ;
        this.ClsjjzDirtyFlag = true ;
    }
    /**
     * 获取 [车辆实际价值]脏标记
     */
    @JsonIgnore
    public boolean getClsjjzDirtyFlag(){
        return ClsjjzDirtyFlag ;
    }

    /**
     * 获取 [税额-商业险]
     */
    public BigDecimal getSe_syx(){
        return Se_syx ;
    }

    /**
     * 设置 [税额-商业险]
     */
    public void setSe_syx(BigDecimal  se_syx){
        this.Se_syx = se_syx ;
        this.Se_syxDirtyFlag = true ;
    }
    /**
     * 获取 [税额-商业险]脏标记
     */
    @JsonIgnore
    public boolean getSe_syxDirtyFlag(){
        return Se_syxDirtyFlag ;
    }

    /**
     * 获取 [合计]
     */
    public BigDecimal getHj(){
        return Hj ;
    }

    /**
     * 设置 [合计]
     */
    public void setHj(BigDecimal  hj){
        this.Hj = hj ;
        this.HjDirtyFlag = true ;
    }
    /**
     * 获取 [合计]脏标记
     */
    @JsonIgnore
    public boolean getHjDirtyFlag(){
        return HjDirtyFlag ;
    }

    /**
     * 获取 [业务来源]
     */
    public String getYwly(){
        return Ywly ;
    }

    /**
     * 设置 [业务来源]
     */
    public void setYwly(String  ywly){
        this.Ywly = ywly ;
        this.YwlyDirtyFlag = true ;
    }
    /**
     * 获取 [业务来源]脏标记
     */
    @JsonIgnore
    public boolean getYwlyDirtyFlag(){
        return YwlyDirtyFlag ;
    }

    /**
     * 获取 [号牌种类]
     */
    public String getHpzl(){
        return Hpzl ;
    }

    /**
     * 设置 [号牌种类]
     */
    public void setHpzl(String  hpzl){
        this.Hpzl = hpzl ;
        this.HpzlDirtyFlag = true ;
    }
    /**
     * 获取 [号牌种类]脏标记
     */
    @JsonIgnore
    public boolean getHpzlDirtyFlag(){
        return HpzlDirtyFlag ;
    }

    /**
     * 获取 [交强险短期方式]
     */
    public String getJqxdqfs(){
        return Jqxdqfs ;
    }

    /**
     * 设置 [交强险短期方式]
     */
    public void setJqxdqfs(String  jqxdqfs){
        this.Jqxdqfs = jqxdqfs ;
        this.JqxdqfsDirtyFlag = true ;
    }
    /**
     * 获取 [交强险短期方式]脏标记
     */
    @JsonIgnore
    public boolean getJqxdqfsDirtyFlag(){
        return JqxdqfsDirtyFlag ;
    }

    /**
     * 获取 [车辆种类]
     */
    public String getClzl(){
        return Clzl ;
    }

    /**
     * 设置 [车辆种类]
     */
    public void setClzl(String  clzl){
        this.Clzl = clzl ;
        this.ClzlDirtyFlag = true ;
    }
    /**
     * 获取 [车辆种类]脏标记
     */
    @JsonIgnore
    public boolean getClzlDirtyFlag(){
        return ClzlDirtyFlag ;
    }

    /**
     * 获取 [商业险短期费率]
     */
    public BigDecimal getSyxdqfl(){
        return Syxdqfl ;
    }

    /**
     * 设置 [商业险短期费率]
     */
    public void setSyxdqfl(BigDecimal  syxdqfl){
        this.Syxdqfl = syxdqfl ;
        this.SyxdqflDirtyFlag = true ;
    }
    /**
     * 获取 [商业险短期费率]脏标记
     */
    @JsonIgnore
    public boolean getSyxdqflDirtyFlag(){
        return SyxdqflDirtyFlag ;
    }

    /**
     * 获取 [车架号]
     */
    public String getCjh(){
        return Cjh ;
    }

    /**
     * 设置 [车架号]
     */
    public void setCjh(String  cjh){
        this.Cjh = cjh ;
        this.CjhDirtyFlag = true ;
    }
    /**
     * 获取 [车架号]脏标记
     */
    @JsonIgnore
    public boolean getCjhDirtyFlag(){
        return CjhDirtyFlag ;
    }

    /**
     * 获取 [车牌号码]
     */
    public String getCphm(){
        return Cphm ;
    }

    /**
     * 设置 [车牌号码]
     */
    public void setCphm(String  cphm){
        this.Cphm = cphm ;
        this.CphmDirtyFlag = true ;
    }
    /**
     * 获取 [车牌号码]脏标记
     */
    @JsonIgnore
    public boolean getCphmDirtyFlag(){
        return CphmDirtyFlag ;
    }

    /**
     * 获取 [排量]
     */
    public Double getPl(){
        return Pl ;
    }

    /**
     * 设置 [排量]
     */
    public void setPl(Double  pl){
        this.Pl = pl ;
        this.PlDirtyFlag = true ;
    }
    /**
     * 获取 [排量]脏标记
     */
    @JsonIgnore
    public boolean getPlDirtyFlag(){
        return PlDirtyFlag ;
    }

    /**
     * 获取 [含税保费-交强险]
     */
    public BigDecimal getHsbf_jqx(){
        return Hsbf_jqx ;
    }

    /**
     * 设置 [含税保费-交强险]
     */
    public void setHsbf_jqx(BigDecimal  hsbf_jqx){
        this.Hsbf_jqx = hsbf_jqx ;
        this.Hsbf_jqxDirtyFlag = true ;
    }
    /**
     * 获取 [含税保费-交强险]脏标记
     */
    @JsonIgnore
    public boolean getHsbf_jqxDirtyFlag(){
        return Hsbf_jqxDirtyFlag ;
    }

    /**
     * 获取 [交强险失效时间]
     */
    public Timestamp getJqxde(){
        return Jqxde ;
    }

    /**
     * 设置 [交强险失效时间]
     */
    public void setJqxde(Timestamp  jqxde){
        this.Jqxde = jqxde ;
        this.JqxdeDirtyFlag = true ;
    }
    /**
     * 获取 [交强险失效时间]脏标记
     */
    @JsonIgnore
    public boolean getJqxdeDirtyFlag(){
        return JqxdeDirtyFlag ;
    }

    /**
     * 获取 [车险单标识]
     */
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }
    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return CIDIdDirtyFlag ;
    }

    /**
     * 获取 [不含税保费-交强险]
     */
    public BigDecimal getBhsbf_jqx(){
        return Bhsbf_jqx ;
    }

    /**
     * 设置 [不含税保费-交强险]
     */
    public void setBhsbf_jqx(BigDecimal  bhsbf_jqx){
        this.Bhsbf_jqx = bhsbf_jqx ;
        this.Bhsbf_jqxDirtyFlag = true ;
    }
    /**
     * 获取 [不含税保费-交强险]脏标记
     */
    @JsonIgnore
    public boolean getBhsbf_jqxDirtyFlag(){
        return Bhsbf_jqxDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }
    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }

    /**
     * 获取 [初登日期]
     */
    public Timestamp getCdrq(){
        return Cdrq ;
    }

    /**
     * 设置 [初登日期]
     */
    public void setCdrq(Timestamp  cdrq){
        this.Cdrq = cdrq ;
        this.CdrqDirtyFlag = true ;
    }
    /**
     * 获取 [初登日期]脏标记
     */
    @JsonIgnore
    public boolean getCdrqDirtyFlag(){
        return CdrqDirtyFlag ;
    }

    /**
     * 获取 [整备质量]
     */
    public Double getZbzl(){
        return Zbzl ;
    }

    /**
     * 设置 [整备质量]
     */
    public void setZbzl(Double  zbzl){
        this.Zbzl = zbzl ;
        this.ZbzlDirtyFlag = true ;
    }
    /**
     * 获取 [整备质量]脏标记
     */
    @JsonIgnore
    public boolean getZbzlDirtyFlag(){
        return ZbzlDirtyFlag ;
    }

    /**
     * 获取 [税额-交强险]
     */
    public BigDecimal getSe_jqx(){
        return Se_jqx ;
    }

    /**
     * 设置 [税额-交强险]
     */
    public void setSe_jqx(BigDecimal  se_jqx){
        this.Se_jqx = se_jqx ;
        this.Se_jqxDirtyFlag = true ;
    }
    /**
     * 获取 [税额-交强险]脏标记
     */
    @JsonIgnore
    public boolean getSe_jqxDirtyFlag(){
        return Se_jqxDirtyFlag ;
    }

    /**
     * 获取 [厂牌型号]
     */
    public String getCPXHName(){
        return CPXHName ;
    }

    /**
     * 设置 [厂牌型号]
     */
    public void setCPXHName(String  cPXHName){
        this.CPXHName = cPXHName ;
        this.CPXHNameDirtyFlag = true ;
    }
    /**
     * 获取 [厂牌型号]脏标记
     */
    @JsonIgnore
    public boolean getCPXHNameDirtyFlag(){
        return CPXHNameDirtyFlag ;
    }

    /**
     * 获取 [归属业务员]
     */
    public String getORGUSERName(){
        return ORGUSERName ;
    }

    /**
     * 设置 [归属业务员]
     */
    public void setORGUSERName(String  oRGUSERName){
        this.ORGUSERName = oRGUSERName ;
        this.ORGUSERNameDirtyFlag = true ;
    }
    /**
     * 获取 [归属业务员]脏标记
     */
    @JsonIgnore
    public boolean getORGUSERNameDirtyFlag(){
        return ORGUSERNameDirtyFlag ;
    }

    /**
     * 获取 [归属机构]
     */
    public String getORGName(){
        return ORGName ;
    }

    /**
     * 设置 [归属机构]
     */
    public void setORGName(String  oRGName){
        this.ORGName = oRGName ;
        this.ORGNameDirtyFlag = true ;
    }
    /**
     * 获取 [归属机构]脏标记
     */
    @JsonIgnore
    public boolean getORGNameDirtyFlag(){
        return ORGNameDirtyFlag ;
    }

    /**
     * 获取 [人员标识]
     */
    public String getORGUSERId(){
        return ORGUSERId ;
    }

    /**
     * 设置 [人员标识]
     */
    public void setORGUSERId(String  oRGUSERId){
        this.ORGUSERId = oRGUSERId ;
        this.ORGUSERIdDirtyFlag = true ;
    }
    /**
     * 获取 [人员标识]脏标记
     */
    @JsonIgnore
    public boolean getORGUSERIdDirtyFlag(){
        return ORGUSERIdDirtyFlag ;
    }

    /**
     * 获取 [厂牌型号标识]
     */
    public String getCPXHId(){
        return CPXHId ;
    }

    /**
     * 设置 [厂牌型号标识]
     */
    public void setCPXHId(String  cPXHId){
        this.CPXHId = cPXHId ;
        this.CPXHIdDirtyFlag = true ;
    }
    /**
     * 获取 [厂牌型号标识]脏标记
     */
    @JsonIgnore
    public boolean getCPXHIdDirtyFlag(){
        return CPXHIdDirtyFlag ;
    }

    /**
     * 获取 [机构标识]
     */
    public String getORGId(){
        return ORGId ;
    }

    /**
     * 设置 [机构标识]
     */
    public void setORGId(String  oRGId){
        this.ORGId = oRGId ;
        this.ORGIdDirtyFlag = true ;
    }
    /**
     * 获取 [机构标识]脏标记
     */
    @JsonIgnore
    public boolean getORGIdDirtyFlag(){
        return ORGIdDirtyFlag ;
    }

}